[kde-freebsd] HEADS UP: [CFT] KDE SC 4.4.0 for FreeBSD.

Bartosz Fabianowski freebsd at chillt.de
Sun Feb 14 17:56:08 CET 2010

> soprano pull depends on libiodbc if virtuoso backend is enabled.
> run-depends on virtuoso itself isn't needed to build nepomuk support.

Yes, that is how I understood it as well. The question that remains is this:

If I, as a user, want to use the Virtuoso backend (I enable Virtuoso
when compiling textproc/soprano), am I really expected to look for a
single line in pkg-message output telling me to install
databases/virtuoso manually? There should be a better way to handle
this, pulling in the databases/virtuoso run-time dependency
automatically. Without it, the Virtuoso backend (that I just enabled) is
non-functional after all (leading to user confusion).

- Bartosz

More information about the kde-freebsd mailing list